SolrJettyTestBase (Solr 3.6.2 API)
Keywords: org.apache.solr.SolrJettyTestBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr
Class SolrJettyTestBase

    java.lang.Object
      org.junit.Assert
          org.apache.lucene.util.LuceneTestCase
              org.apache.solr.SolrTestCaseJ4
                  org.apache.solr.SolrJettyTestBase

    public abstract class SolrJettyTestBase

extends SolrTestCaseJ4

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.SolrTestCaseJ4
`SolrTestCaseJ4.Doc, SolrTestCaseJ4.Fld, SolrTestCaseJ4.FldType, SolrTestCaseJ4.FVal, SolrTestCaseJ4.IRange, SolrTestCaseJ4.IVals, SolrTestCaseJ4.SVal, SolrTestCaseJ4.Vals, SolrTestCaseJ4.XmlDoc`

Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase
`LuceneTestCase.Nightly`

Field Summary
`static String` | `context`
`static org.apache.solr.client.solrj.embedded.JettySolrRunner` | `jetty`
`static int` | `port`
`static org.apache.solr.client.solrj.SolrServer` | `server`

Fields inherited from class org.apache.solr.SolrTestCaseJ4
`configString, dataDir, h, log, lrf, ONE_ONE, schemaString, solrClassRules, solrConfig, solrTestRules, ZERO_ONE, ZERO_TWO`

Fields inherited from class org.apache.lucene.util.LuceneTestCase
`classRules, random, RANDOM_MULTIPLIER, ruleChain, stores, TEMP_DIR, TEST_CLEAN_THREADS, TEST_DIRECTORY, TEST_ITER, TEST_ITER_MIN, TEST_LINE_DOCS_FILE, TEST_LOCALE, TEST_NIGHTLY, TEST_SEED, TEST_TIMEZONE, TEST_VERSION_CURRENT, testsFailed, VERBOSE`

Constructor Summary
`SolrJettyTestBase()`

Method Summary
`static void` | `afterSolrJettyTestBase()`
`static org.apache.solr.client.solrj.embedded.JettySolrRunner` | `createJetty(String solrHome, String configFile, String context)`
`org.apache.solr.client.solrj.SolrServer` | `createNewSolrServer()` Create a new solr server.
`String` | `getSolrHome()`
`org.apache.solr.client.solrj.SolrServer` | `getSolrServer()`

Methods inherited from class org.apache.solr.SolrTestCaseJ4
`add, adoc, adoc, afterClassSolrTestCase, assertFailedU, assertFailedU, assertJQ, assertJQ, assertQ, assertQ, assertQEx, assertQEx, assertU, assertU, beforeClassSolrTestCase, clearIndex, closeDirectories, commit, createComparator, createComparator, createDoc, createSort, createTempDir, deleteCore, delI, delQ, doc, endTrackingSearchers, getClassName, getFile, getRootCause, getSchemaFile, getSimpleClassName, getSolrConfigFile, ignoreException, indexDocs, initCore, initCore, initCore, optimize, params, postSetUp, preTearDown, recurseDelete, req, req, req, resetExceptionIgnores, setUp, startTrackingSearchers, tearDown, TEST_HOME, toJSON, updateJ`

Methods inherited from class org.apache.lucene.util.LuceneTestCase
`afterClassLuceneTestCaseJ4, alwaysIgnoredTestMethod, assertEquals, assertEquals, assertEquals, assertEquals, assertSaneFieldCaches, asSet, assumeFalse, assumeNoException, assumeTrue, atLeast, atLeast, beforeClassLuceneTestCaseJ4, dumpArray, dumpIterator, getDataFile, getName, getTestClass, getTestLabel, isTestThread, localeForName, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newField, newField, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newSearcher, newSearcher, newTieredMergePolicy, newTieredMergePolicy, purgeFieldCache, randomDirectory, randomLocale, randomTimeZone, rarely, rarely, reportAdditionalFailureInfo, reportPartialFailureInfo, setMergeFactor, setUseCompoundFile, usually, usually`

Methods inherited from class org.junit.Assert
`assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jetty

    public static org.apache.solr.client.solrj.embedded.JettySolrRunner jetty

### port

    public static int port

### server

    public static org.apache.solr.client.solrj.SolrServer server

### context

    public static String context

Constructor Detail

### SolrJettyTestBase

    public SolrJettyTestBase()

Method Detail

### getSolrHome

    public String getSolrHome()

### createJetty

    public static org.apache.solr.client.solrj.embedded.JettySolrRunner createJetty(String solrHome,
                                                                                    String configFile,
                                                                                    String context)
                                                                             throws Exception

  Throws:
    `Exception`

### afterSolrJettyTestBase

    public static void afterSolrJettyTestBase()
                                       throws Exception

  Throws:
    `Exception`

### getSolrServer

    public org.apache.solr.client.solrj.SolrServer getSolrServer()

### createNewSolrServer

    public org.apache.solr.client.solrj.SolrServer createNewSolrServer()

  Create a new solr server. If createJetty was called, an http implementation will be created, otherwise an embedded implementation will be created. Subclasses should override for other options.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD